#include <iostream>

using namespace std;

int main()
{
    int n,k,c=0;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<n;i++)
    {
        if(a[i]==k && i!=n-1)
        {
            cout<<a[i+1];
            c=1;
            break;
        }

    }
    if(c!=1)
    {
        cout<<a[0];
    }

    return 0;
}